DEV: Update `bin/bundle` (PR #13067)

This fixes the following error I’ve been seeing lately in RubyMine:

Error:Your bin/bundle was not generated by Bundler, so this binstub cannot run. Replace bin/bundle by running bundle binstubs bundler --force, then run this command again.

GitHub